Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003619 [JEDI VCL] 00 JVCL Components minor always 2006-04-03 02:46 2006-04-19 02:53
Reporter Kiriakos View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003619: JvChangeNotity does not clean up when an error occurs
Description When an error occurs in TJvChangeNotify.SetActive the routine calls NotifyError which raises an Exception. However in that case no cleanup takes place (leaves Windows handles open) and fActive variable set to true while the ChangeNotify thread is not created.

Note tha such errors occure when a directory is pointing to a Novell drive for which change notification is not available.

Also I added the class EJVCLChangeNotifyException(Exception) to pass the drectroy in which the error occured, so that this i hanlded by the user.

THe attached file includes fhs fixes I introduced.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvChangeNotify.pas [^] (18,962 bytes) 2006-04-03 02:46

- Relationships

-  Notes
(0009081)
obones (administrator)
2006-04-13 02:46

Thanks, this is now fixed.
But next time, please use the JVCL style guide to do your coding.
(0009135)
Kiriakos (reporter)
2006-04-18 17:08

The changes introduced are fine except that the ErrorDirectory property of EJVCLChangeNotifyException is not used.

Add the following line to EJVCLChangeNotifyException.Create
  fErrorDirectory := ErrorDirectory;
(0009138)
obones (administrator)
2006-04-19 02:53

That's right. This is now in SVN

- Issue History
Date Modified Username Field Change
2006-04-03 02:46 Kiriakos New Issue
2006-04-03 02:46 Kiriakos File Added: JvChangeNotify.pas
2006-04-13 02:46 obones Status new => resolved
2006-04-13 02:46 obones Resolution open => fixed
2006-04-13 02:46 obones Assigned To => obones
2006-04-13 02:46 obones Note Added: 0009081
2006-04-18 17:08 Kiriakos Status resolved => feedback
2006-04-18 17:08 Kiriakos Resolution fixed => reopened
2006-04-18 17:08 Kiriakos Note Added: 0009135
2006-04-19 02:53 obones Status feedback => resolved
2006-04-19 02:53 obones Resolution reopened => fixed
2006-04-19 02:53 obones Note Added: 0009138


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker